summaryrefslogtreecommitdiff
path: root/cross
diff options
context:
space:
mode:
authorDavid P <megver83@parabola.nu>2018-08-27 23:07:54 -0300
committerDavid P <megver83@parabola.nu>2018-08-27 23:08:09 -0300
commitab87221bdffaf79951ead6dc3581182df6b9c5f7 (patch)
treee8c76859bb3e337a01be1b640bb61f03145565b0 /cross
parent1c61597263d867d4fa4b1c60c7624e613887cd02 (diff)
upgpkg: cross/cross-binutils 2.31.1-1
Signed-off-by: David P <megver83@parabola.nu>
Diffstat (limited to 'cross')
-rw-r--r--cross/cross-binutils/PKGBUILD8
1 files changed, 4 insertions, 4 deletions
diff --git a/cross/cross-binutils/PKGBUILD b/cross/cross-binutils/PKGBUILD
index 985b944fc..a189a69e9 100644
--- a/cross/cross-binutils/PKGBUILD
+++ b/cross/cross-binutils/PKGBUILD
@@ -94,7 +94,7 @@ case ${_target%%-*} in
esac
pkgname=$_target-binutils
-pkgver=2.30
+pkgver=2.31.1
pkgrel=1
pkgdesc="A set of programs to assemble and manipulate binary and object files for the $_target_name target"
arch=('i686' 'x86_64' 'armv7h' 'aarch64' 'mips64el')
@@ -102,7 +102,7 @@ url='http://www.gnu.org/software/binutils/'
license=(GPL)
depends=(zlib)
source=(https://ftp.gnu.org/gnu/binutils/binutils-$pkgver.tar.bz2{,.sig})
-sha512sums=('c3ce91aa20f058ec589bf18c722bf651331b394db6378900cc813cc0eea3a331a96584d5ae090630b627369510397dccc9edfcd43d4aeefc99579f277a05c72c'
+sha512sums=('b42954e6f49a0adcd2676bdd77dfb59bfc25cec8184b007521d1e2b1d5d0593b58639e3d9448d5a40fe024c3cea386a37743627d6bb16d502f52a4a32b9573bd'
'SKIP')
validpgpkeys=('EAF1C276A747E9ED86210CBAC3126D3B4AE55E93' # Tristan Gingold <gingold@adacore.com>
'3A24BC1E8FB409FA9F14371813FCEF89DD9E3C4F') # Nick Clifton (Chief Binutils Maintainer) <nickc@redhat.com>
@@ -140,7 +140,7 @@ check() {
# unset LDFLAGS as testsuite makes assumptions about which ones are active
# do not abort on errors - manually check log files
- make -k LDFLAGS="" check || true
+ make LDFLAGS="" -k check || true
}
package() {
@@ -149,7 +149,7 @@ package() {
make DESTDIR="$pkgdir" install
# Remove file conflicting with host binutils and manpages for MS Windows tools
- rm "$pkgdir"/usr/share/man/man1/$_target-{dlltool,nlmconv,windres,windmc}*
+ rm "$pkgdir"/usr/share/man/man1/$_target-{dlltool,windres,windmc}*
# Remove info documents that conflict with host version
rm -r "$pkgdir"/usr/share/info